# Authenticate API client Source: https://developer.karmacheck.com/api-reference/authentication/authenticate-api-client /background-check-api/api-reference/openapi.json post /auth/api Authenticates an API client with KarmaCheck so that they can access the KarmaCheck system. # Cancel a case Source: https://developer.karmacheck.com/api-reference/cancel-a-case /background-check-api/api-reference/openapi.json post /case/id/{caseId}/cancel # Cancel Case Service Source: https://developer.karmacheck.com/api-reference/cancel-case-service /background-check-api/api-reference/openapi.json post /case/id/{caseId}/services/cancel # Acknowledge Canada Disclosure Source: https://developer.karmacheck.com/api-reference/candidate-onboarding/acknowledge-canada-disclosure /background-check-api/api-reference/openapi.json post /case/id/{caseId}/canadadisclosure/{language} Submits acknowledgement of a Canada Disclosure document for tracking and auditing purposes. This action creates a case data record with the provided information. The system records the acknowledgment and generates a downloadable PDF file of the acknowledged disclosure. # Acknowledge Custom Disclosure Source: https://developer.karmacheck.com/api-reference/candidate-onboarding/acknowledge-custom-disclosure /background-check-api/api-reference/openapi.json post /case/id/{caseId}/customdisclosure/{language} Submits acknowledgement of a Custom Disclosure document for tracking and auditing purposes. This action creates a case data record with the provided information. The system records the acknowledgment and generates a downloadable PDF file of the acknowledged disclosure. # Acknowledge E-Signature Source: https://developer.karmacheck.com/api-reference/candidate-onboarding/acknowledge-e-signature /background-check-api/api-reference/openapi.json post /case/id/{caseId}/esig/{language} Submits acknowledgement of the e-Signature for tracking and auditing purposes. This action creates a case data record with the provided information. The system records the acknowledgment and generates a PDF file of the e-Signature document, which includes the candidate's acknowledgment and is available for download. # Acknowledge FCRA Source: https://developer.karmacheck.com/api-reference/candidate-onboarding/acknowledge-fcra /background-check-api/api-reference/openapi.json post /case/id/{caseId}/fcra/{language} Submits acknowledgement of the FCRA for tracking and auditing purposes. This action creates a case data record with the provided information. The system records the acknowledgment and generates a downloadable PDF file of the acknowledged FCRA document. # Acknowledge International Disclosure Source: https://developer.karmacheck.com/api-reference/candidate-onboarding/acknowledge-international-disclosure /background-check-api/api-reference/openapi.json post /case/id/{caseId}/intldisclosure/{language} Submits acknowledgement of an International Disclosure document for tracking and auditing purposes. This action creates a case data record with the provided information. The system records the acknowledgment and generates a downloadable PDF file of the acknowledged disclosure. # Acknowledge location-specific disclosures Source: https://developer.karmacheck.com/api-reference/candidate-onboarding/acknowledge-location-specific-disclosures /background-check-api/api-reference/openapi.json put /case/id/{caseId}/{disclosureType}/{language} Submits acknowledgement of location-specific disclosures for tracking and auditing purposes. This action creates a case data record with the provided information. The system records the acknowledgment and generates a downloadable PDF file of the acknowledged disclosures. # Create candidate by proxy for invitation Source: https://developer.karmacheck.com/api-reference/candidate-onboarding/create-candidate-by-proxy-for-invitation /background-check-api/api-reference/openapi.json post /invitation/candidate/create Creates the candidate object in KarmaCheck on behalf of the candidate so that there can be pre-population of PII before the candidate accepts an invitation and enters the system. The candidate will be directed to onboard the associated case via the one-time token link that will be provided by the API partner. This API marks the candidate object as not secured in the KarmaCheck system, which results in the candidate being prompted to set a password when the onboarding of the case begins. After this call is complete, the candidate will be associated with the specific `caseId` that was attached to the invitation. The `caseId` will be used for saving all further case data, such as authorizations and acknowledgements. This assumes that a candidate will need to sign up with KarmaCheck before being able to continue to accept the invitation. # Create testimony for case Source: https://developer.karmacheck.com/api-reference/candidate-onboarding/create-testimony-for-case /background-check-api/api-reference/openapi.json post /testimony/create/case/id/{caseId} Stores personally identifiable information (PII) on a candidate in KarmaCheck. Only one piece of PII can be included in a single piece of testimony. Testimony is owned by the candidate, and can be attached to a case. When testimony is attached to a case, a separate case testimony record is created, which then becomes part of the case. # Detach testimony from case Source: https://developer.karmacheck.com/api-reference/candidate-onboarding/detach-testimony-from-case /background-check-api/api-reference/openapi.json delete /testimony/id/{testimonyId}/detach/case/id/{caseId} Removes previously attached testimony from a case. If the testimony is not attached to the supplied case, then calling this endpoint generates an error with 404. If the case has finished onboarding, then this call will fail with 403. If the testimony has not been attached to any other case, then detaching will result in deletion of the testimony from the system. # Get Canada Disclosure Source: https://developer.karmacheck.com/api-reference/candidate-onboarding/get-canada-disclosure /background-check-api/api-reference/openapi.json get /case/id/{caseId}/canadadisclosure/{language} Retrieves a Canada Disclosure document to present to the candidate so that the candidate can acknowledge and continue the onboarding process. If the candidate has already acknowledged the disclosure, the response will indicate this and provide a valid `caseDataId` so that the details of the previous acknowledgement can be retrieved. This can also be used to determine whether the candidate can skip this specific disclosure step if they leave and then continue their onboarding later or on another device, for example. # Get candidate for invitation Source: https://developer.karmacheck.com/api-reference/candidate-onboarding/get-candidate-for-invitation /background-check-api/api-reference/openapi.json get /candidate/invitation/token/{invitationToken} Retrieves the candidate information associated with an invitation. # Get countries Source: https://developer.karmacheck.com/api-reference/candidate-onboarding/get-countries /background-check-api/api-reference/openapi.json get /candidate/countries Fetches the list of countries and their respective ISO 3166 codes to use for creating testimony with proper codes. # Get Custom Disclosure Source: https://developer.karmacheck.com/api-reference/candidate-onboarding/get-custom-disclosure /background-check-api/api-reference/openapi.json get /case/id/{caseId}/customdisclosure/{language} Retrieves a Custom Disclosure document to present to the candidate so that the candidate can acknowledge and continue the onboarding process. If the candidate has already acknowledged the disclosure, the response will indicate this and provide a valid `caseDataId` so that the details of the previous acknowledgement can be retrieved. This can also be used to determine whether the candidate can skip this specific disclosure step if they leave and then continue their onboarding later or on another device, for example. # Get E-Signature Source: https://developer.karmacheck.com/api-reference/candidate-onboarding/get-e-signature /background-check-api/api-reference/openapi.json get /case/id/{caseId}/esig/{language} Retrieves an e-Signature consent document and form that can be presented to and acknowledged by the candidate as part of the onboarding process. If the candidate has already acknowledged it, the response will indicate this as well as provide the `caseDataId` of the acknowledgement, which can be used to retrieve details. These can be used to determine whether the candidate can skip this step if they leave and then continue their onboarding later or on another device, for example. The e-Signature document can be customized. If a customer-specific version doesn't exist, a default one will be returned. # Get FCRA Source: https://developer.karmacheck.com/api-reference/candidate-onboarding/get-fcra /background-check-api/api-reference/openapi.json get /case/id/{caseId}/fcra/{language} Retrieves a Fair Credit Reporting Act (FCRA) consent document and form that can be presented to and acknowledged by the candidate as part of the onboarding process. If the candidate has already acknowledged it, the response will indicate this as well as provide the `caseDataId` of the acknowledgement, which can be used to retrieve details. These can be used to determine whether the candidate can skip this step if they leave and then continue their onboarding later or on another device, for example. The FCRA document can be customized. If a customer-specific version doesn't exist, a default one will be returned. # Get International Disclosure Source: https://developer.karmacheck.com/api-reference/candidate-onboarding/get-international-disclosure /background-check-api/api-reference/openapi.json get /case/id/{caseId}/intldisclosure/{language} Retrieves an International Disclosure document to present to the candidate so that the candidate can acknowledge and continue the onboarding process. If the candidate has already acknowledged the disclosure, the response will indicate this and provide a valid `caseDataId` so that the details of the previous acknowledgement can be retrieved. This can also be used to determine whether the candidate can skip this specific disclosure step if they leave and then continue their onboarding later or on another device, for example. # Get invitation for case ID Source: https://developer.karmacheck.com/api-reference/candidate-onboarding/get-invitation-for-case-id /background-check-api/api-reference/openapi.json get /invitation/case/{caseId} Retrieves the invitation associated with a case. # Get legal acknowledgement status Source: https://developer.karmacheck.com/api-reference/candidate-onboarding/get-legal-acknowledgement-status /background-check-api/api-reference/openapi.json get /case/id/{caseId}/legal/status/{legalType} Retrieves the candidate acknowledgment status of the specified legal document for the case. This can be used to determine whether the candidate can skip acknowledging that legal document if they leave and then continue their onboarding later or on another device, for example. # Get one-time token link Source: https://developer.karmacheck.com/api-reference/candidate-onboarding/get-one-time-token-link /background-check-api/api-reference/openapi.json get /case/id/{caseId}/candidate/id/{candidateId}/url Retrieves a one-time token (OTT) URL to give to a candidate so that they can complete onboarding for a case. The returned URL contains a token, ensuring that the candidate secures their account before proceeding with onboarding. This endpoint is typically called when a candidate has been newly integrated into KarmaCheck by a partner. This is so that testimony can be presented on behalf of the candidate for a case before onboarding begins. The URL is designed to ensure that the onboarding process includes a step where the candidate can secure their account before continuing. **Note:** To properly redirect the candidate to the provided invitation context to commence their background check, append the full invitation link to the end of the returned OTT URL as a `redirect_url` query parameter. For example: - `https://my.karmacheck.com/ott/{ott}?redirect_url=/invite/{invitationToken}` - `https://my.karmacheck.com/ott/{ott}?redirect_url=https://my.karmacheck.com/invite/{invitationToken}` # Get secure image by ID Source: https://developer.karmacheck.com/api-reference/candidate-onboarding/get-secure-image-by-id /background-check-api/api-reference/openapi.json get /candidate/secureimage/id/{secureImageId} Retrieves a secure image by its identifier. # Get testimony for case Source: https://developer.karmacheck.com/api-reference/candidate-onboarding/get-testimony-for-case /background-check-api/api-reference/openapi.json get /testimony/case/{caseId} Retrieves the testimony attached to a case. # Refresh invitation for case Source: https://developer.karmacheck.com/api-reference/candidate-onboarding/refresh-invitation-for-case /background-check-api/api-reference/openapi.json put /case/id/{caseId}/action/refreshinvite Refreshes the expiration date for an existing invitation. When an onboarding invitation is generated, the candidate has 14 days (the default expiration period) to begin and complete their onboarding, or else the link in their invitation email becomes invalid. As long as the invitation is refreshed during the 14-day period, enough time will be added so that the candidate has 14 days to complete onboarding. For example, if only 1 day remains, 13 days will be added. If 12 days still remain, only 2 days will be added. Note that for your cases that don't rely on the candidate to onboard, such as those that use the customer PII entry feature, you'll never need to call this API. # Request location-specific disclosures Source: https://developer.karmacheck.com/api-reference/candidate-onboarding/request-location-specific-disclosures /background-check-api/api-reference/openapi.json post /case/id/{caseId}/{disclosureType}/{language} Retrieves location-specific disclosure documents and forms that can be presented to and acknowledged by the candidate as part of the onboarding process. # Resend case invitation Source: https://developer.karmacheck.com/api-reference/candidate-onboarding/resend-case-invitation /background-check-api/api-reference/openapi.json post /case/id/{caseId}/action/resendinvite Resends the invitation email for a case. Note that a case can have only one active invitation at a time, and resending the invite actually creates and sends a new invitation with a new ID. This means that the link in an old invitation email will stop working, so make sure to update any references to the old invitation in order to use the new one. # Update candidate for case Source: https://developer.karmacheck.com/api-reference/candidate-onboarding/update-candidate-for-case /background-check-api/api-reference/openapi.json post /candidate/id/{candidateId}/update/case/id/{caseId} Sets modifiable data for a candidate. # Update testimony for case Source: https://developer.karmacheck.com/api-reference/candidate-onboarding/update-testimony-for-case /background-check-api/api-reference/openapi.json post /testimony/id/{testimonyId}/update/case/id/{caseId} Updates testimony associated with a case. # Add to order Source: https://developer.karmacheck.com/api-reference/cases/add-to-order /background-check-api/api-reference/openapi.json post /case/id/{caseId}/add/services Adds the requested services to the existing ordered case. The requested services must be part of the package for the case. The authentication token must be for the group that the case is owned by. # Archive case Source: https://developer.karmacheck.com/api-reference/cases/archive-case /background-check-api/api-reference/openapi.json post /case/archive/{caseId} Archives a case so that it no longer appears in the KarmaCheck dashboard. # Begin processing case Source: https://developer.karmacheck.com/api-reference/cases/begin-processing-case /background-check-api/api-reference/openapi.json put /case/id/{caseId}/action/beginprocessing Begins the processing of screenings for a case. This endpoint must be called when the onboarding of a case is complete, unless you are: - Sending invitation emails to the candidate so they can onboard. - Using the customer-provided PII flow to [create the case](paths/~1case~1create/post). In these instances, the case will begin processing as soon as the candidate information has been provided. # Cancel case data search Source: https://developer.karmacheck.com/api-reference/cases/cancel-case-data-search /background-check-api/api-reference/openapi.json post /case/data/id/{caseDataId}/search/id/{searchId}/cancel Endpoint to cancel individual case data search records. Currently supports cancelling education and employment searches. # Create case Source: https://developer.karmacheck.com/api-reference/cases/create-case /background-check-api/api-reference/openapi.json post /case/create Orders a background check report and opens a case for tracking. The new case includes references to the package. Depending on the values entered in the request, the case goes through one of two flows: - **Candidate onboarding flow:** The new case will have an initial status of **Pending** and a secondary status of **Waiting for Authorization**. An invitation is emailed to the candidate, who is required to provide their personally identifiable information (PII) via the invitation email. - **Customer-provided PII flow:** All PII for the candidate is provided in the request body. Setting `autoProcess` to true initiates a case for the candidate and immediately begins processing. ### API Integration - Attributing a case to a specific user To provide additional insight for API integrations the Create Case API supports an optional header that allows an API customer to provide additional information about the end user that is initiating the API call through their integration. This optional header is only ever used if the API call has a valid authentication token. The optional header is `karmacheck-on-behalf-of` and the value that should be provided is an email address. When the `karmacheck-on-behalf-of` header contains an email address, the server will validate the email address provided, and if valid, the user associated with the email address will be recorded in the KarmaCheck system as the user that created the associated case. When validating the email address that is provided for this header: - if there is no user in the KarmaCheck system, then the value will simply be ignored and the case creation will be attributed to the authenticated API token itself. - if there is a user in the KarmaCheck system associated with the email address, but that user does not have the proper access to create a case for the package (or is not a user that is directly associated with the calling company) that is being requested then the API call will fail with a result that indicates that the user is not authorized to make that call. This error will occur even though the API token itself may be allowed to make the call but, because of the conflict, the call will be rejected. ### Restrictions The following restrictions exist when creating a case. Be sure to adhere to these restrictions when selecting a package or excluding services from the order (via `excludeServices`). #### Criminal and identity screening restrictions - SSN Trace is required when a County, State, or Federal Criminal Search is being ordered. - Cannot order Identity Verification and Identity And Liveliness Verification at the same time. - International Identity Verification cannot be ordered without other international screenings. - Must choose between US criminal screenings or international criminal screenings. - Must include International Identity Verification if Canadian Criminal Record Check or International Criminal Record Check is included. #### OHS and drug screening restrictions - Cannot order more than one type of TB test. - Cannot order DOT and non-DOT drug screenings in the same order. - Cannot order more than one non-DOT drug screening. - Only one urine drug screening can be selected for any order. - Cannot order both vaccine and titer for the same immunization type. This applies for each of the following immunization types: Varicella, Hepatitis A, Hepatitis B, and MMR. - OSHA Respirator/Fit to Wear Questionnaire is required when Respirator/Mask Fit Testing - Qualitative or Respirator/Mask Fit Testing - Quantitative is being ordered. - OHS and drug screenings are US-only and cannot be ordered with Canadian or international screenings. # Download legal doc for case data Source: https://developer.karmacheck.com/api-reference/cases/download-legal-doc-for-case-data /background-check-api/api-reference/openapi.json get /case/id/{caseId}/data/{serviceId}/pdf/download Downloads the PDF document for the legal service requested for a case. Legal checks are the various required authorizations collected from a candidate when they authorize a background check (e-signature, FCRA, and disclosures). # Download pre-adverse action document Source: https://developer.karmacheck.com/api-reference/cases/download-pre-adverse-action-document /background-check-api/api-reference/openapi.json get /case/id/{caseId}/preadverse/{type}/pdf/download Downloads the PDF file for the pre-adverse action notice or the case report that was active at the time of the pre-adverse action. # Find jurisdictions Source: https://developer.karmacheck.com/api-reference/cases/find-jurisdictions /background-check-api/api-reference/openapi.json post /jurisdiction/find/all Retrieves a list of relevant county and federal district jurisdictions based on a set of city/county/state combinations. This list is needed when ordering a case, as it ensures that the case is ordered with the correct list of jurisdictions. # Get active cases Source: https://developer.karmacheck.com/api-reference/cases/get-active-cases /background-check-api/api-reference/openapi.json get /case/list Retrieves all active cases for the `groupProfileId` on the token used. The response includes summary-level information with IDs for accessing details using other endpoints. The cases are listed in descending order by `crStamp`. If any `crStamp` values are identical, the cases are then sorted by `caseStatusId`, followed by `caseSecondaryStatusId`. # Get all cases Source: https://developer.karmacheck.com/api-reference/cases/get-all-cases /background-check-api/api-reference/openapi.json get /case/list/all Retrieves all cases (both active and archived) for the `groupProfileId` on the token used. The response includes summary-level information with IDs for accessing details using other endpoints. The cases are listed in descending order by `crStamp`. If any `crStamp` values are identical, the cases are then sorted by `caseStatusId`, followed by `caseSecondaryStatusId`. # Get all services for case Source: https://developer.karmacheck.com/api-reference/cases/get-all-services-for-case /background-check-api/api-reference/openapi.json get /case/id/{caseId}/services Retrieves a list of all services ordered for a case. # Get candidate info for case Source: https://developer.karmacheck.com/api-reference/cases/get-candidate-info-for-case /background-check-api/api-reference/openapi.json get /candidate/info/case/id/{caseId} Retrieves information about the candidate associated with the case. # Get case Source: https://developer.karmacheck.com/api-reference/cases/get-case /background-check-api/api-reference/openapi.json get /case/id/{caseId} Retrieves the details of a case by its ID. The response includes summary-level information with IDs for accessing details using other endpoints. # Get case configuration Source: https://developer.karmacheck.com/api-reference/cases/get-case-configuration /background-check-api/api-reference/openapi.json get /config/case/id/{caseId} Returns the service configurations and contact information for a case. For information on how to create or update configuration options for a case, see [Create case](paths/~1case~1create/post) or [Add to order](paths/~1case~1id~1{caseId}~1add~1services/post). # Get case data by case ID Source: https://developer.karmacheck.com/api-reference/cases/get-case-data-by-case-id /background-check-api/api-reference/openapi.json get /case/id/{caseId}/data/{serviceTypeId} Gets the details associated with services ordered and processed for a case. # Get custom report download URL Source: https://developer.karmacheck.com/api-reference/cases/get-custom-report-download-url /background-check-api/api-reference/openapi.json post /case/id/{caseId}/report/pdf/download/url Returns a URL to download a PDF report for one or more case screenings (in other words, case data). # Get full report download URL Source: https://developer.karmacheck.com/api-reference/cases/get-full-report-download-url /background-check-api/api-reference/openapi.json get /case/id/{caseId}/report/pdf/download/url Returns a URL to download a PDF report for the entire case and available attachments. # Get legal doc for case data Source: https://developer.karmacheck.com/api-reference/cases/get-legal-doc-for-case-data /background-check-api/api-reference/openapi.json get /case/id/{caseId}/data/{serviceId}/pdf Returns inline the PDF document for the legal service requested for a case. Legal checks are the various required authorizations collected from a candidate when they authorize a background check (e-signature, FCRA, and disclosures). # Get pre-adverse action document Source: https://developer.karmacheck.com/api-reference/cases/get-pre-adverse-action-document /background-check-api/api-reference/openapi.json get /case/id/{caseId}/preadverse/{type}/pdf Returns inline the PDF file for the pre-adverse action notice or the case report that was active at the time of the pre-adverse action. # Get services for case Source: https://developer.karmacheck.com/api-reference/cases/get-services-for-case /background-check-api/api-reference/openapi.json get /case/id/{caseId}/services/{serviceType} Retrieves a list of services ordered for a case. The list includes services of only one of the following types: - **`idv`:** Identity verification services ordered for the case. - **`legal`:** Legal checks ordered for the case. Legal checks are the various required authorizations collected from a candidate when they authorize a background check (e-signature, FCRA, and disclosures). - **`payment`:** Payment services ordered for the case. - **`screenings`:** Screenings ordered for the case. - **`shipment`:** Shipments ordered for the case. # Place case Source: https://developer.karmacheck.com/api-reference/cases/place-case /background-check-api/api-reference/openapi.json put /case/id/{caseId}/action/place Sets the status of a case to Placed in the system. Internally, the API sets the case's status to `Adjudicated` and its result to `Placed`. The secondary status, if any, gets reset. # Pre-adverse action for case Source: https://developer.karmacheck.com/api-reference/cases/pre-adverse-action-for-case /background-check-api/api-reference/openapi.json post /case/id/{caseId}/action/preadverse Begins the adverse action process for a case by putting the case into the Pre-Adverse Action status. This also sends a pre-adverse action notice to the candidate by email, which can also be downloaded from both the customer and candidate dashboards. # Unarchive case Source: https://developer.karmacheck.com/api-reference/cases/unarchive-case /background-check-api/api-reference/openapi.json post /case/unarchive/{caseId} Unarchives a case so that it reappears in the KarmaCheck dashboard. This operation reverses a previous archive operation on the case. # Get all enabled services for package Source: https://developer.karmacheck.com/api-reference/packages/get-all-enabled-services-for-package /background-check-api/api-reference/openapi.json get /package/id/{packageId}/services Retrieves a list of all enabled services for a package. # Get package Source: https://developer.karmacheck.com/api-reference/packages/get-package /background-check-api/api-reference/openapi.json get /package/min/id/{packageId} Retrieves the identifier and the name of a specific package. # Get package list Source: https://developer.karmacheck.com/api-reference/packages/get-package-list /background-check-api/api-reference/openapi.json get /package/min/list Retrieves a list of enabled packages for the user to order new reports/cases. This list includes the identifier and the name of each package, sorted alphabetically by name. # Get services for package Source: https://developer.karmacheck.com/api-reference/packages/get-services-for-package /background-check-api/api-reference/openapi.json get /package/id/{packageId}/services/{serviceType} Retrieves a list of enabled services for a package. The list includes services of only one of the following types: - **`idv`:** Identity verification services in the package. - **`legal`:** Legal checks in the package. Legal checks are the various required authorizations collected from a candidate when they authorize a background check (e-signature, FCRA, and disclosures). - **`payment`:** Payment services in the package. - **`screenings`:** Screenings in the package. # Create secure document records Source: https://developer.karmacheck.com/api-reference/secure-documents/create-secure-document-records /background-check-api/api-reference/openapi.json post /document/secure/create Creates secure document records in the KarmaCheck system and associates uploaded documents with an existing case. This is step 3 of 3 when adding documents to KarmaCheck. At this stage, you should have successfully uploaded your documents via the URLs obtained from the [Generate secure document upload URLs](paths/~1document~1secure~1upload/post) API call. The uploaded documents are unavailable for use in KarmaCheck until they are associated with a case in this third step. Document associations are identified by sending access grants. If your token does not have access to associate a document with a specific entity, a 403 Forbidden response will be returned. In addition to associating a document with an existing case, you can call this API to create candidate disclosure and authorization document records before a case is created. When [creating a case](paths/~1case~1create/post), you can send the newly created document IDs to associate these documents with the case and the candidate. Note that this association is allowed only when the document type is a candidate disclosure or authorization. # Generate secure document upload URLs Source: https://developer.karmacheck.com/api-reference/secure-documents/generate-secure-document-upload-urls /background-check-api/api-reference/openapi.json post /document/secure/upload Generates short-lived URLs that can be used to upload one or more secure documents to the KarmaCheck system. This API call is step 1 of 3 when adding a document to the system and linking it to a case. The returned URLs expire after 1 hour. If an attempt to use an expired URL occurs, the server responds with a 403 HTTP status code. # Get secure document download URL Source: https://developer.karmacheck.com/api-reference/secure-documents/get-secure-document-download-url /background-check-api/api-reference/openapi.json get /document/secure/id/{secureDocumentId}/download/url Gets a URL from KarmaCheck, which can then be used to download a secure document. The URL will be valid for only 60 minutes, but once the download begins, the download can take as long as needed. The URL can also be reused as many times as needed during the 60-minute validity period. # Get secure document list Source: https://developer.karmacheck.com/api-reference/secure-documents/get-secure-document-list /background-check-api/api-reference/openapi.json get /document/secure/list/case/id/{caseId} Returns a list of the secure documents associated with a case. # Get secure document MIME types Source: https://developer.karmacheck.com/api-reference/secure-documents/get-secure-document-mime-types /background-check-api/api-reference/openapi.json get /document/secure/mimetypes Gets acceptable MIME types for secure documents. # Get secure document type list Source: https://developer.karmacheck.com/api-reference/secure-documents/get-secure-document-type-list /background-check-api/api-reference/openapi.json get /document/secure/type/list Returns a list of objects representing all secure document types in KarmaCheck. Among other uses, it enables population of the supported document types in a list that users can select from and associate with the document that they are uploading. # Get all CPLCs Source: https://developer.karmacheck.com/api-reference/services/get-all-cplcs /background-check-api/api-reference/openapi.json get /service/cplc/list/all Retrieves the list of all professional licenses and certifications, including ones that are disabled for verification. # Get CPLC full definition Source: https://developer.karmacheck.com/api-reference/services/get-cplc-full-definition /background-check-api/api-reference/openapi.json get /service/cplc/id/{cplcId} Returns an object describing a specific professional license or certification. # Get CPLC full definitions for case Source: https://developer.karmacheck.com/api-reference/services/get-cplc-full-definitions-for-case /background-check-api/api-reference/openapi.json get /service/cplc/case/id/{caseId} Retrieves a list of definitions for all the professional licenses and certifications that were provided to a case as testimony. This is used when rendering Professional License and Certification testimony by associating the testimony data with the definition. # Get CPLCs Source: https://developer.karmacheck.com/api-reference/services/get-cplcs /background-check-api/api-reference/openapi.json get /service/cplc/list Retrieves the list of supported professional licenses and certifications that are enabled for verification. # Get mask list Source: https://developer.karmacheck.com/api-reference/services/get-mask-list /background-check-api/api-reference/openapi.json get /shipment/mask/list Retrieves a list of masks for the user to order new shipment. # Get users by group profile Source: https://developer.karmacheck.com/api-reference/users/get-users-by-group-profile /background-check-api/api-reference/openapi.json get /company/user/list Gets the users for every group within the company that the authenticated user belongs to. If the `groupProfileId` query parameter is included, the endpoint retrieves users associated with only the specified group. # Search Verification Book Source: https://developer.karmacheck.com/api-reference/verification-book/search-verification-book /background-check-api/api-reference/openapi.json post /vbook/search Search for Verification Book entries. Results will be returned by matching against the name and aliases of book items. # Candidate-provided PII flow Source: https://developer.karmacheck.com/background-check-api/guides/candidate-provided-pii-flow Step-by-step guide for ordering a background check using the candidate-provided PII flow. This guide will help you get started with the KarmaCheck API by walking you through a typical workflow for a background check. With this workflow, a background check on a candidate begins running after the candidate provides their personally identifiable information (PII) and authorizes the background check. By the end of this guide, you'll know how to: 1. Authenticate with KarmaCheck. 2. Order a background check report by sending an onboarding invitation to a candidate. 3. Get updates about the ordered background check (also known as a *case*). 4. Generate a PDF report of the background check. ## Before you begin * Ensure that you have the following sandbox credentials to gain access to the KarmaCheck API: * An API key * A client access token The method for obtaining these credentials varies depending on whether you're a [customer](/background-check-api/overview/customer-integration) or a [partner](/background-check-api/overview/partner-integration). * Email invites to candidates get sent to the KarmaCheck sandbox account instead of the email address that you enter for a candidate. If you want to run through the entire workflow in this guide, you'll need the email invite to enter PII as a candidate. To receive these emails, [contact KarmaCheck](mailto:customersuccess@karmacheck.com) to set up email forwarding. ## Step 1: Authenticate with KarmaCheck Call the authentication endpoint to retrieve an authentication token. Replace `API_KEY` and `CLIENT_ACCESS_TOKEN` with your credentials: ```bash theme={null} curl --request POST \ --url https://api-stage.karmacheck.io/auth/api \ --header 'Content-Type: application/json' \ --data '{ "apiKey": "API_KEY", "clientAccessToken": "CLIENT_ACCESS_TOKEN" }' ``` The response body displays your authentication token in the `token` field. ## Step 2: Order a report With an authentication token, you can now make API calls to order a background check for a specific group. ### Step 2a: Get available packages Call the `GET /package/min/list` endpoint to get a list of packages available for background checks: ```bash theme={null} curl --request GET \ --url https://api-stage.karmacheck.io/package/min/list \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer AUTHENTICATION_TOKEN' ``` The response body displays a list of packages with the unique ID of each package in an `id` field. Find the package with the name `Basic Test Package` and note its ID. This package consists of services that support simulated results, enabling you to test the full workflow from start to finish. To learn more about screenings that support simulated results, see [Simulated services](/background-check-api/overview/api/environments#simulated-services). ### Step 2b: Create a case Call the `POST /case/create` endpoint to order a background check on a candidate. Replace all placeholder values: * **`AUTHENTICATION_TOKEN`:** Your authentication token * **`PACKAGE_ID`:** The ID of the package retrieved in the previous step * **`POSTBACK_URL`:** The URL for receiving webhook event notifications when the status of the case changes. Remove the `postbackUrl` field if you don't want to test webhooks. * **`EMAIL`:** The candidate's email address * **`GIVEN_NAME`:** The candidate's first name * **`FAMILY_NAME`:** The candidate's last name The `postbackUrl` property is for *testing purposes only* and supports only [case status change](/background-check-api/reference/webhooks/events/case-status-change) events. To configure webhooks for your production environment, or to test all available webhook events, you must contact KarmaCheck to subscribe to webhook events. ```bash theme={null} curl --request POST \ --url https://api-stage.karmacheck.io/case/create \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer AUTHENTICATION_TOKEN' \ --data '{ "packageId": "PACKAGE_ID", "postbackUrl": "POSTBACK_URL", "email": "EMAIL", "givenName": "GIVEN_NAME", "familyName": "FAMILY_NAME" }' ``` Note the ID of the ordered background check in the `caseId` field returned by the endpoint. You'll need this value in subsequent API calls. ## Step 3: Complete candidate onboarding To begin processing the background check, you need to complete the following steps as a candidate: 1. Access the email invitation forwarded to you, and click **Get Started Now** to begin the KarmaCheck candidate onboarding process. 2. Follow the prompts to provide candidate data and authorize the background check. Enter **111-22-3333** as the candidate's Social Security number. ## Step 4: (Optional) Receive status updates If you provided a webhook URL to receive case status updates, a POST request is sent to the webhook endpoint any time the status of the case changes. The following is an example of a webhook payload: ```json theme={null} { "messageId": "e123e0d6-12fc-d45b-abc1-dddd5cd2a028", "event": "case.statuschange", "apiTrackingCode": null, "apiTrackingUser": null, "username": null, "password": null, "eventObject": { "id": "d1234567-1234-1d23-b12b-5582d748c7c6", "crStamp": "2024-06-20T23:07:16.000Z", "crUserId": "abc29350-12f3-4d85-9df1-9a73f14d9d17", "caseTypeId": "cde61186-4f22-45f4-9e19-429061365bce", "caseType": "Background Check", "caseStatusId": "d894b8a0-937e-46b1-8799-15bad611844f", "caseStatus": "Pending", "secondaryCaseStatusId": "8e0c9756-a42f-4a7d-b8e2-412a0f6b9dea", "secondaryStatus": "Waiting for Authorization", "resultType": "Open", "modStamp": "2024-06-20T23:07:16.000Z", "candidateId": null, "candidateEmail": null, "candidateGivenName": null, "candidateFamilyName": null, "packageId": "d04dece1-1ea5-43fc-2832-231a5d23a08b", "packageName": "Basic Test Package", "packageCompanyName": null, "billingReferenceId": "d04dece1-1ea5-43fc-2832-231a5d23a08b", "groupProfileId": "fd0546e4-ac27-4c96-bb22-06ae7e372fd2", "resultTypeId": "8c94f0d9-57c9-4c7b-be95-5ec309cff330", "caseInvitationId": "d1234a8a-dd12-1e3d-98e6-5ff7eb9f7f0a", "invitationStatusId": "3f5e6898-6641-4685-8ee0-1363b7e10c98", "invitationStatusName": "pending", "invitationGivenName": "Kim", "invitationFamilyName": "Smith", "companyId": "dde1eafd-232b-39e8-dff4-f1be061eba2c", "companyName": "Example Company", "companyCommonName": null, "companyLogo": null, "archived": 0, "serviceGroupId": "b3582ef5-72b7-4e48-9973-858464f01141", "invitationEmail": "kim.smith@example.com", "isMinorCandidate": 0, "hasParentalConsent": 0, "groupName": "Default", "adverseActionId": null, "adverseActionStatusName": null, "adverseActionStatusId": null, "orderedStamp": "2024-06-20T23:07:16.000Z", "beginOnboardingStamp": null, "completedOnboardingStamp": null, "beginProcessingStamp": null, "completedInitialProcessingStamp": null, "completedLatestProcessingStamp": null } } ``` Your webhook endpoint should respond with an HTTP status code of 2\_xx\_ to indicate that the call was processed successfully. If a response status other than a 2\_xx\_ is received, KarmaCheck will attempt to resend the webhook after a delay. See the [webhooks overview](/background-check-api/reference/webhooks/webhooks-overview) for more details on webhooks and how to handle events. If you don't have your webhook set up, send a GET request to the `GET /case/id/{caseId}` endpoint to retrieve the details of your case. ## Step 5: Get report results After the case is complete, call the `GET /case/id/{caseId}/report/pdf/download/url` endpoint to get a PDF of the report. Replace `CASE_ID` with the ID from Step 2b and `AUTHENTICATION_TOKEN` with your token: ```bash theme={null} curl --request GET \ --url https://api-stage.karmacheck.io/case/id/CASE_ID/report/pdf/download/url \ --header 'Accept: text/html' \ --header 'Authorization: Bearer AUTHENTICATION_TOKEN' ``` A successful request returns the URL at which you can view and download the report. Congratulations! You've now run an end-to-end workflow using the KarmaCheck API. # Customer-provided PII flow Source: https://developer.karmacheck.com/background-check-api/guides/customer-provided-pii-flow Step-by-step guide for ordering a background check by providing the candidate's PII directly. This tutorial will help you get started with the KarmaCheck API by walking you through a typical workflow for a background check. With this workflow, a background check on a candidate begins running after you order the background check. By the end of this tutorial, you'll know how to: 1. Authenticate with KarmaCheck. 2. Order a background check report by providing a candidate's personally identifiable information (PII). 3. Get updates about the ordered background check (also known as a *case*). ## Before you begin * Ensure that you have the following sandbox credentials to gain access to the KarmaCheck API: * An API key * A client access token The method for obtaining these credentials varies depending on whether you're a [customer](/background-check-api/overview/customer-integration) or a [partner](/background-check-api/overview/partner-integration). * Email notifications to candidates get sent to the KarmaCheck sandbox account instead of the email address that you enter for a candidate. If you want to receive these emails, [contact KarmaCheck](mailto:customersuccess@karmacheck.com) to set up email forwarding. ## Step 1: Authenticate with KarmaCheck Call the authentication endpoint to retrieve an authentication token. Replace `API_KEY` and `CLIENT_ACCESS_TOKEN` with your credentials: ```bash theme={null} curl --request POST \ --url https://api-stage.karmacheck.io/auth/api \ --header 'Content-Type: application/json' \ --data '{ "apiKey": "API_KEY", "clientAccessToken": "CLIENT_ACCESS_TOKEN" }' ``` The response body displays your authentication token in the `token` field. ## Step 2: Order a report With an authentication token, you can now make API calls to order a background check for a specific group. ### Step 2a: Get available packages Call the `GET /package/min/list` endpoint to get a list of packages available for background checks: ```bash theme={null} curl --request GET \ --url https://api-stage.karmacheck.io/package/min/list \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer AUTHENTICATION_TOKEN' ``` The response body displays a list of packages with the unique ID of each package in an `id` field. Find the package with the name `Advanced Test Package` and note its ID. ### Step 2b: Get services in the package Call the `GET /package/id/{packageId}/services` endpoint to retrieve the list of services included in the Advanced Test Package: ```bash theme={null} curl --request GET \ --url https://api-stage.karmacheck.io/package/id/PACKAGE_ID/services \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer AUTHENTICATION_TOKEN' ``` A successful request returns a list of services with the unique ID of each service in a `serviceId` field. Note the IDs of the services named `Federal Criminal Search` and `Employment Verification` — you'll need these when ordering the background check. ### Step 2c: Find jurisdictions The Advanced Test Package includes the Federal Criminal Search (District) service, so you need to find the correct federal district jurisdictions. Call the `POST /jurisdiction/find/all` endpoint: ```bash theme={null} curl --request POST \ --url https://api-stage.karmacheck.io/jurisdiction/find/all \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer AUTHENTICATION_TOKEN' \ --data '{ "counties": [ { "city": "Brooklyn", "county": "Kings", "state": "NY" }, { "city": "Manhattan", "county": "New York", "state": "NY" } ] }' ``` A successful request returns a list of jurisdictions. Note the names of jurisdictions with `federal-district` as the jurisdiction type — you'll need these when ordering the background check. ### Step 2d: Create a case Call the `POST /case/create` endpoint to order a background check. The request below includes the minimally required data plus jurisdiction and employment order data for the Advanced Test Package: The `postbackUrl` property is for *testing purposes only* and supports only [case status change](/background-check-api/reference/webhooks/events/case-status-change) events. To configure webhooks for your production environment, or to test all available webhook events, you must contact KarmaCheck to subscribe to webhook events. ```bash theme={null} curl --request POST \ --url https://api-stage.karmacheck.io/case/create \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer AUTHENTICATION_TOKEN' \ --data '{ "packageId": "PACKAGE_ID", "email": "EMAIL", "givenName": "GIVEN_NAME", "familyName": "FAMILY_NAME", "postbackUrl": "POSTBACK_URL", "autoProcess": true, "candidateConsentProvided": true, "orderData": [ { "caseOrderDataTypeId": "codt-govt-id", "metadata": { "govtId": "111-22-3333" } }, { "caseOrderDataTypeId": "codt-dob", "metadata": { "dob": "1985-05-15" } }, { "caseOrderDataTypeId": "codt-current-candidate-address", "metadata": { "address1": "1 Main Street", "address2": "Unit 179", "city": "Brooklyn", "state": "NY", "postalCode": "11201", "country": "US" } }, { "caseOrderDataTypeId": "codt-address", "metadata": { "city": "Brooklyn", "county": "Kings", "state": "NY", "autoProcessJurisdictions": false } }, { "caseOrderDataTypeId": "codt-address", "metadata": { "city": "Manhattan", "county": "New York", "state": "NY", "autoProcessJurisdictions": false } }, { "caseOrderDataTypeId": "codt-jurisdiction-fed-district", "serviceId": "FEDERAL_CRIMINAL_SEARCH_ID", "metadata": { "district": "New York Eastern District Court" } }, { "caseOrderDataTypeId": "codt-jurisdiction-fed-district", "serviceId": "FEDERAL_CRIMINAL_SEARCH_ID", "metadata": { "district": "New York Southern District Court" } }, { "caseOrderDataTypeId": "codt-employment", "serviceId": "EMPLOYMENT_VERIFICATION_ID", "metadata": { "employer": "Example Organization", "position": "Nurse", "city": "Brooklyn", "state": "NY", "country": "US", "monthBegin": "November", "yearBegin": "2004", "current": false, "monthEnd": "November", "yearEnd": "2018", "contact": { "website": "www.example.com", "email": "hr@example.com", "phone": "800-555-0167" }, "okToContact": true } }, { "caseOrderDataTypeId": "codt-employment", "serviceId": "EMPLOYMENT_VERIFICATION_ID", "metadata": { "employer": "Example Organization 2", "position": "Nurse", "city": "Manhattan", "state": "NY", "country": "US", "monthBegin": "November", "yearBegin": "2018", "current": true, "contact": { "website": "www.example.com", "email": "admin@example.com", "phone": "800-555-0172" }, "okToContact": true } } ] }' ``` Replace `FEDERAL_CRIMINAL_SEARCH_ID` and `EMPLOYMENT_VERIFICATION_ID` with the service IDs retrieved in Step 2b. A successful request returns the ID of the ordered background check in the `caseId` field. Congratulations! You've initiated a background check using the KarmaCheck API. For a full explanation of the `orderData` array and all supported types, see [Provide order data](/background-check-api/guides/order-data). ## Step 3: (Optional) Receive status updates If you provided a webhook URL to receive case status updates, a POST request is sent to the webhook endpoint any time the status of the case changes. The following is an example of a webhook payload: ```json theme={null} { "messageId": "e123e0d8-22dd-d45b-abc1-dddd5cd2a028", "event": "case.statuschange", "apiTrackingCode": null, "apiTrackingUser": null, "username": null, "password": null, "eventObject": { "id": "12345678-2e75-4ba7-abcde-06741f65df3e", "crStamp": "2024-06-20T23:16:14.000Z", "caseStatus": "Pending", "secondaryCaseStatusId": null, "secondaryStatus": null, "resultType": "Open", "candidateEmail": "john.smith@example.com", "candidateGivenName": "John", "candidateFamilyName": "Smith", "packageName": "Advanced Test Package", "groupName": "Default", "orderedStamp": "2024-06-20T23:16:14.000Z", "completedOnboardingStamp": "2024-06-20T23:16:15.000Z", "beginProcessingStamp": "2024-06-20T23:16:16.000Z" } } ``` Your webhook endpoint should respond with an HTTP status code of 2*xx* to indicate that the call was processed successfully. If a response status other than a 2*xx* is received, KarmaCheck will attempt to resend the webhook after a delay. See the [webhooks overview](/background-check-api/reference/webhooks/webhooks-overview) for more details on webhooks and how to handle events. If you don't have your webhook set up, send a GET request to the `GET /case/id/{caseId}` endpoint to retrieve the details of your case. # Document processing flow Source: https://developer.karmacheck.com/background-check-api/guides/document-processing-flow Walk through a complete document processing order: upload documents, create an order, retrieve results, and handle webhook updates. This guide walks you through a typical workflow for a document processing order. With this workflow, document processing begins running after you upload documents to the KarmaCheck system and create the order. By the end of this guide, you'll know how to: 1. Authenticate with KarmaCheck. 2. Upload documents and create a secure document record for each one. 3. Order document processing by providing the candidate's name, email, and order data with the secure document record IDs. 4. Retrieve document processing results and receive status updates. ## Before you begin Ensure that you have the following sandbox credentials: * An API key * A client access token How you obtain these credentials depends on whether you're a [customer](/background-check-api/overview/customer-integration) or a [partner](/background-check-api/overview/partner-integration). ## Step 1: Authenticate with KarmaCheck Call `POST /auth/api` to retrieve an authentication token. Replace `API_KEY` and `CLIENT_ACCESS_TOKEN` with your credentials: ```bash theme={null} curl -X POST https://api-stage.karmacheck.io/auth/api \ -H "Content-Type: application/json" \ -d '{ "apiKey": "API_KEY", "clientAccessToken": "CLIENT_ACCESS_TOKEN" }' ``` The response body contains your authentication token in the `token` field. Use this as `Bearer AUTHENTICATION_TOKEN` in all subsequent requests. ## Step 2: Order document processing ### Step 2a: Upload your documents to KarmaCheck This step references the full [Upload documents](/background-check-api/guides/upload-documents) guide. The key flow is: 1. **Request upload URLs** — Call `POST /document/secure/upload` to generate a secure, time-limited upload URL and `fileKey` for each document. 2. **Upload documents** — Upload each file directly to the returned URL using an HTTP `PUT` request with the correct `Content-Type`. 3. **Create secure document records** — Call `POST /document/secure/create` with the `fileKey`, `documentTypeId`, and `originalFileName`. At this point you will not yet have a `caseId`. When no order exists yet, **omit the `accessGrants` object** from the request. 4. **Note the `secureDocumentId`** returned for each document — you'll pass these when creating the order. For request examples, supported MIME types, and error handling, see [Upload documents](/background-check-api/guides/upload-documents). ### Step 2b: Get available packages Call `GET /package/min/list` to get a list of available packages: ```bash theme={null} curl https://api-stage.karmacheck.io/package/min/list \ -H "Authorization: Bearer AUTHENTICATION_TOKEN" ``` Find the package named **Intelligent Document Processing** and note its `id`. ### Step 2c: Get services in the package Call `GET /package/id/{packageId}/services` to retrieve the services included in the package: ```bash theme={null} curl https://api-stage.karmacheck.io/package/id/PACKAGE_ID/services \ -H "Authorization: Bearer AUTHENTICATION_TOKEN" ``` Note the `serviceId` of the **Document Processing** service (`service-intelligent-document-process`). You'll need this when providing order data. ### Step 2d: Create a document processing order Call `POST /case/create` to order document processing. Because a document processing order is not a background-check screening, no candidate PII order data is required — the package ID and the candidate's name and email in the request body are sufficient. The `orderData` array only needs one `codt-idp` entry per document: ```bash theme={null} curl -X POST https://api-stage.karmacheck.io/case/create \ -H "Content-Type: application/json" \ -H "Authorization: Bearer AUTHENTICATION_TOKEN" \ -d '{ "packageId": "PACKAGE_ID", "email": "candidate@example.com", "givenName": "Jane", "familyName": "Smith", "postbackUrl": "POSTBACK_URL", "autoProcess": true, "candidateConsentProvided": true, "disableOptions": 7, "orderData": [ { "caseOrderDataTypeId": "codt-idp", "serviceId": "service-intelligent-document-process", "metadata": { "documentTypeId": "unclassified", "fileName": "testfile1.pdf", "secureDocumentId": "SECURE_DOCUMENT_ID_1" } }, { "caseOrderDataTypeId": "codt-idp", "serviceId": "service-intelligent-document-process", "metadata": { "documentTypeId": "unclassified", "fileName": "testfile2.pdf", "secureDocumentId": "SECURE_DOCUMENT_ID_2" } } ] }' ``` **`orderData` fields:** | Field | Description | | - | - | | `codt-idp` / `documentTypeId` | Document type. Always use `unclassified` for Document Processing. | | `codt-idp` / `fileName` | The file name as provided when uploading the document. | | `codt-idp` / `secureDocumentId` | The ID returned after creating the secure document record. | | `codt-govt-id` / `govtId` | Optional. Candidate's SSN in `xxx-xx-xxxx` format. Use `111-22-3333` for sandbox testing. | | `codt-dob` / `dob` | Optional. Candidate's date of birth in `yyyy-mm-dd` format. | | `codt-current-candidate-address` | Optional. Candidate's current address (`address1`, `city`, `state`, `postalCode`, `country`). | Candidate PII order data such as `codt-govt-id`, `codt-dob`, and `codt-current-candidate-address` is not required when the order contains only the Document Processing service and can be omitted. Set `disableOptions` to `7` to suppress KarmaCheck's candidate and customer notification emails for a document processing order. Because document processing is not a background-check screening, candidates should not receive the standard screening invitation or status-update emails. `disableOptions` is a bitmask that combines candidate invitation (`1`), candidate status updates (`2`), and customer notifications (`4`); a value of `7` disables all three. Omit the field or set it to `0` to keep notifications enabled. `postbackUrl` is for testing purposes only and supports only `case.statuschange` events. To configure webhooks for production, contact KarmaCheck to subscribe to webhook events. A successful response returns the `caseId` of the order. Note this value — you'll use it to retrieve results. ## Step 3: Retrieve document processing results Call `GET /case/id/{caseId}/data/{serviceTypeId}` using `service-type-document-processing` as the `serviceTypeId`: ```bash theme={null} curl https://api-stage.karmacheck.io/case/id/CASE_ID/data/service-type-document-processing \ -H "Authorization: Bearer AUTHENTICATION_TOKEN" ``` The response returns a list of case data objects — one per document ordered. Key response fields: | Field | Description | | - | - | | `status` / `statusDisplayName` | Current processing status (e.g. `complete`). | | `detailsObject.documentTypeId` | The document type IDP classified the document as. See [IDP document type](/background-check-api/reference/idp-document-type) for all possible values. | | `detailsObject.classificationData` | Document classification results including `type` (see [IDP document type](/background-check-api/reference/idp-document-type)) and `confidence` score. | | `detailsObject.value` | Extracted data keyed by field name (e.g. `issueDate`, `dateOfBirth`). | | `detailsObject.metadata` | OCR confidence scores and citation polygons for each extracted field. | **Example response:** ```json theme={null} { "data": [ { "id": "1777e943-7feb-42a9-aa35-2b73f781e4a8", "caseId": "8558c68f-5d39-4867-af25-57abeb047c5c", "serviceId": "service-intelligent-document-process", "serviceName": "Document Processing", "statusId": "case-data-status-complete", "status": "complete", "statusDisplayName": "Complete", "detailsObject": { "fileName": "US_PASSPORT-example.pdf", "documentTypeId": "us-passport", "secureDocumentId": "d17e3813-94e1-4717-8d92-df5e935af005", "documentExpirationDate": "2032-08-24 00:00:00", "classificationData": { "id": "classification_usC", "type": "us-passport", "confidence": 1 }, "value": { "issueDate": "2022-08-27", "dateOfBirth": "1990-09-25", "candidateName": "Avery Ellis", "expirationDate": "2032-08-24" } } } ] } ``` ## Step 4: Receive status updates (optional) If you provided a `postbackUrl` when creating the order, KarmaCheck sends a `POST` request to that URL whenever the order status changes. Example webhook payload: ```json theme={null} { "messageId": "e123e0d8-22dd-d45b-abc1-dddd5cd2a028", "event": "case.statuschange", "apiTrackingCode": null, "apiTrackingUser": null, "username": null, "password": null, "eventObject": { "id": "12345678-2e75-4ba7-abcde-06741f65df3e", "caseStatus": "Pending", "secondaryStatus": null, "resultType": "Open", "candidateEmail": "jane.smith@example.com", "candidateGivenName": "Jane", "candidateFamilyName": "Smith", "packageName": "Intelligent Document Processing" } } ``` Respond with an HTTP `2xx` status to confirm receipt. If KarmaCheck does not receive a `2xx` response, it will retry the delivery after a delay. See the [webhooks overview](/background-check-api/reference/webhooks/webhooks-overview) for more details. If you don't have a webhook set up, poll `GET /case/id/{caseId}` to retrieve the current status of the order. # Getting started with MCP Source: https://developer.karmacheck.com/background-check-api/guides/mcp-get-started-guide How to configure and use KarmaCheck's MCP server with Claude Desktop and Cursor. Get started with KarmaCheck's MCP server using this guide — it covers prerequisites, authenticating the MCP server, configuring Claude Desktop and Cursor, trying starter prompts (including test SSNs), and the path to production. If anything's unclear or you need a hand, reach out to us at [mcp@karmacheck.com](mailto:mcp@karmacheck.com). ## Setup prerequisites ### Authenticating the MCP server See the [authentication page](/background-check-api/overview/api/authentication) for details on how to retrieve the authentication token for KarmaCheck's MCP server. The JWT token generated using the combination of your API key and client secret will be used to authenticate your connection to the MCP server. The subsequent steps will show you how this authentication token is used. ## Get setup on Claude Desktop ### Prerequisites You will need to install the following dependencies before progressing with this section: * Claude Desktop * Node.js Version 22+ ### Steps to setup the KarmaCheck MCP server 1. Open Claude Desktop — the free tier should work for this guide, though you may experience some rate limiting. 2. Go to **Settings → Developer → Edit Config**. 3. Insert the following into the `claude_desktop_config.json`. Replace `` with your JWT token (see the [authentication](#authenticating-the-mcp-server) section for details): ```json theme={null} { "mcpServers": { "karmacheck-dev": { "command": "npx", "args": [ "-y", "mcp-remote", "https://mcp-stage.karmacheck.io", "--header", "Authorization:${AUTH_HEADER}" ], "env": { "AUTH_HEADER": "Bearer " } } } } ``` 4. Quit and restart Claude Desktop. 5. Get started using the [Starter prompts](#starter-prompts-for-using-karmacheck-via-mcp). ## Get setup on Cursor ### Prerequisites You will need to install the following dependencies before progressing with this section: * Cursor IDE * Node.js Version 22+ ### Steps to setup the KarmaCheck MCP server 1. Open Cursor. 2. Navigate to **Cursor → Settings → Cursor Settings**. 3. Click on **Tools & Integrations → Add Custom MCP**. 4. Insert the following into the `mcp.json` file. Replace `` with your JWT token: ```json theme={null} { "mcpServers": { "karmacheck-dev": { "command": "npx", "args": [ "-y", "mcp-remote", "https://mcp-stage.karmacheck.io", "--header", "Authorization:${AUTH_HEADER}" ], "env": { "AUTH_HEADER": "Bearer " } } } } ``` 5. You should see the KarmaCheck MCP server and the associated tools under the MCP Tools section within "Tools & Integrations". 6. Get started using the [Starter prompts](#starter-prompts-for-using-karmacheck-via-mcp). ## Starter prompts for using KarmaCheck via MCP ### Test emails & SSNs All order-specific emails in your sandbox account are automatically sent to the default email address on your account (the one you used to sign up). This includes any emails sent to test candidate addresses. In our system, email addresses act as the unique identifier for candidates, so each order must use a unique email address. A simple way to achieve this is by appending a date and timestamp to a test email, for example: `test+20250808T1530@test.com`. For testing purposes during onboarding: * Use SSN **111-22-3333** to generate all CLEAR/COMPLETE results. * Use SSN **333-22-1111** to generate NEEDS REVIEW results. * All other SSNs will be blocked in the sandbox environment. ### Create a case Creating a case requires the candidate's **First Name**, **Last Name**, and **Email Address**. If any of these details are missing, KarmaCheck will prompt you to provide them. **Example prompts:** ``` Verify the identity, motor vehicle records, and criminal background of Jane Doe (jane.doe@email.com), who is applying for a Senior Driving Instructor position, using KarmaCheck. ``` ``` Run a nationwide criminal background search on Jane Doe, whose email address is jane.doe@email.com, using KarmaCheck. ``` ``` Create a case for John Smith at john.smith@email.com and only run a Motor Vehicle Records check. ``` ``` Verify the identity, motor vehicle records, and criminal background for Emily Johnson (emily.johnson@email.com) applying as a Delivery Driver. ``` ``` Verify the criminal background of a candidate named Michael applying as a Chauffeur. ``` *KarmaCheck will prompt you to provide the last name and email to create the case.* ### Get the status of all cases in your dashboard **Example prompts:** ``` Provide a list of all candidate cases that require candidate action. ``` ``` Provide a list of all candidate cases that require candidate action. For each case, draft a personalized email prompting the candidate to complete the necessary steps to move their case forward. ``` ``` Show me all candidate cases where background checks are delayed due to missing candidate actions. ``` ``` List all candidate cases that are waiting on the candidate, and suggest the next actions to resolve each case. ``` ### Get details on a specific case When testing in the sandbox environment, make sure to complete the candidate onboarding process first. This will generate cases in various stages of completion, allowing you to fully test prompts and workflows. **Example prompts:** ``` What's going on with John Smith's case? ``` ``` Provide a detailed status update on Emily Johnson's case, including any pending actions or completed checks. ``` ``` Has the Motor Vehicle Records check been completed for Michael Lee's case? ``` ``` What is preventing Sarah Brown's case from moving forward, and what actions are required? ``` ``` Show me the timeline of all activities for David Wilson's case. ``` ### Monitoring use case You can monitor candidate records on a recurring basis to ensure compliance and up-to-date checks. Monitoring prompts can be **resource intensive**, so use them thoughtfully with a clear timeframe. **Example prompts:** ``` Run a Motor Vehicle Records (MVR) check on all candidates who have not had an MVR check in the past 7 days using KarmaCheck. ``` ``` Run a Motor Vehicle Records (MVR) check on all candidates who have not been checked in the last 30 days. ``` ``` Identify all candidates who have not had a Motor Vehicle Records check in the past 14 days and run new checks for them. ``` ``` List all candidates overdue for a Motor Vehicle Records check based on a 60-day cycle, and initiate new checks for each. ``` ## Ready for production? 1. **Request production access** — Join the [MCP production waitlist](https://contact.karmacheck.com/mcp-production-wl). You'll be the first to know when production MCP accounts become available. 2. **Credentialing & contracting** — Your organization will complete contracting and credentialing to ensure you're approved to run background checks in compliance with applicable regulations. 3. **Unlock full services** — Once approved, you'll gain access to the full suite of KarmaCheck screenings and services in production. Since background checks involve PII and, at times, PHI, we strongly recommend using enterprise-grade LLMs with secure tool-calling capabilities to ensure data protection and compliance. Examples include GPT-5 (ChatGPT Enterprise or Azure OpenAI), Anthropic Claude Opus/Sonnet (via Amazon Bedrock), Amazon Nova Pro/Lite, Cohere Command R+, and Google Gemini 1.5 Pro (via Vertex AI). # Provide order data Source: https://developer.karmacheck.com/background-check-api/guides/order-data Reference for all supported orderData types when creating a case or adding to an order. When you're creating a case using the customer-provided PII flow, or adding to an existing order, you'll need to provide the necessary candidate data. This data is sent in an `orderData` array of objects with the following properties: | Property | Type | Required | Description | | - | - | - | - | | `caseOrderDataTypeId` | `string` | `Required` | The type of candidate data to include in the order. See the [Case order data types](#case-order-data-types) table for the possible types. | | `serviceId` | `string` | — | The service for which the data is being provided. Required for certain case order data types. | | `metadata` | `object` | `Required` | The candidate data. The exact properties are specific to each case order data type. | The types of order data to include depend on the services that are being ordered. For a background check, at a minimum, the candidate's government ID, date of birth, and current address need to be included as order data for a case: ```json theme={null} { "orderData": [ { "caseOrderDataTypeId": "codt-govt-id", "metadata": { "govtId": "111-22-3333" } }, { "caseOrderDataTypeId": "codt-dob", "metadata": { "dob": "1983-05-17" } }, { "caseOrderDataTypeId": "codt-current-candidate-address", "metadata": { "address1": "100 Main St", "address2": "Unit 2", "city": "New York", "state": "NY", "postalCode": "10016", "country": "US" } } ] } ``` The following sections describe each supported type of order data. ## Case order data types | Case order data type | ID | Required? | | - | - | - | | **Government ID** | codt-govt-id | Yes, except when the order contains only the Document Processing service. See [Government ID](#government-id) for more details. | | **Date of birth** | codt-dob | Yes, except when the order contains only the Document Processing service. See [Date of birth](#date-of-birth) for more details. | | **Current candidate address** | codt-current-candidate-address | Yes, except when the order contains only the Document Processing service. See [Current candidate address](#current-candidate-address) for more details. | | **Health screening scheduling address** | codt-ohs-scheduling-address | Conditionally. See [Health screening scheduling address](#health-screening-scheduling-address) for services that require this type of order data. | | **Education records** | codt-education | Conditionally. See [Education](#education) for services that require this type of order data. | | **Employment records** | codt-employment | Conditionally. See [Employment](#employment) for services that require this type of order data. | | **Motor vehicle record (MVR)** | codt-mvr | Conditionally. See [Motor vehicle record](#motor-vehicle-record) for services that require this type of order data. | | **Alternative names for a candidate** | codt-alias | No. See [Aliases](#aliases) for services that support this type of order data. | | **Jurisdiction address** | codt-address | No. See [Jurisdictions](#jurisdictions) for services that support this type of order data. | | **County jurisdiction** | codt-jurisdiction-county | No. See [Jurisdictions](#jurisdictions) for services that support this type of order data. | | **Federal district jurisdiction** | codt-jurisdiction-fed-district | No. See [Jurisdictions](#jurisdictions) for services that support this type of order data. | | **State jurisdiction** | codt-jurisdiction-state | No. See [Jurisdictions](#jurisdictions) for services that support this type of order data. | | **Professional license and certification** | codt-cplc | Conditionally. See [Professional license and certification](#professional-license-and-certification) for services that require this type of order data. | | **Shipments** | codt-shipment | Conditionally. See [Shipments](#shipments) for services that require this type of order data. | | **Drug reason for test** | codt-drug-reason-for-test | No. See [Drug reason for test](#drug-reason-for-test) for services that support this type of order data. | | **Drug testing authority** | codt-drug-testing-authority | No. See [Drug testing authority](#drug-testing-authority) for services that support this type of order data. | ## Case order data structures Below are details and examples of each type of order data. ### Government ID The candidate's government ID is required in order data, unless the order contains only the Document Processing service. ```json theme={null} { "orderData": [ { "caseOrderDataTypeId": "codt-govt-id", "metadata": { "govtId": "111-22-333" } } ] } ``` **`metadata` properties:** `govtId` (string) — The candidate's Social Security number in the format *xxx*-*xx*-*xxxx*. For testing purposes, use **111-22-3333**. ### Date of birth The candidate's birthdate is required in order data, unless the order contains only the Document Processing service. ```json theme={null} { "orderData": [ { "caseOrderDataTypeId": "codt-dob", "metadata": { "dob": "1983-05-17" } } ] } ``` **`metadata` properties:** `dob` (string) — The candidate's birthdate in the format *yyyy*-*mm*-*dd*. ### Current candidate address The candidate's current address is required in order data, unless the order contains only the Document Processing service. ```json theme={null} { "orderData": [ { "caseOrderDataTypeId": "codt-current-candidate-address", "metadata": { "address1": "100 Main St", "address2": "Unit 2", "city": "New York", "state": "NY", "postalCode": "10016", "country": "US" } } ] } ``` **`metadata` properties:** `address1`, `address2`, `city`, `state` (two-letter abbreviation), `postalCode`, `country` (two-letter abbreviation). ### Health screening scheduling address If an occupational health or drug screening is being ordered, you must provide an address that can be used for finding nearby clinics to fulfill the screening. | Service category | ID | | - | - | | Occupational health screening | service-cat-ohs | All OHS and drug screening services share the same `serviceCategoryId` (`service-cat-ohs`). If you're running logic to determine if you need to include the `codt-ohs-scheduling-address` order data, you should use the `serviceCategoryId` in your conditional logic. ```json theme={null} { "orderData": [ { "caseOrderDataTypeId": "codt-ohs-scheduling-address", "metadata": { "address1": "100 Main St", "address2": "Unit 2", "city": "New York", "state": "NY", "postalCode": "10016", "country": "US" } } ] } ``` ### Education If Education Verification is being ordered, you must provide at least one education order data item. | Service | ID | | - | - | | Education Verification | 85307784-1f84-471a-8596-c8ea088c3a62 | ```json theme={null} { "orderData": [ { "caseOrderDataTypeId": "codt-education", "serviceId": "85307784-1f84-471a-8596-c8ea088c3a62", "metadata": { "institution": "Example University", "educationType": "College", "educationTypeDescription": "", "degree": "Bachelor of Science", "major": "Nursing", "city": "Manchester", "state": "NH", "country": "US", "monthBegin": "August", "yearBegin": "2000", "current": false, "monthEnd": "May", "yearEnd": "2004", "nameIfDifferentFlag": false, "nameIfDifferent": "", "contact": { "website": "exampleuniversity.edu", "email": "admin@exampleuniversity.edu", "phone": "800-555-0123" } } } ] } ``` ### Employment If an employment verification service is being ordered, you must provide at least one employment order data item. | Service | ID | | - | - | | Employment Verification | 9ac65633-b4c4-4062-875c-3556db9d2a08 | | Employment Income Verification | service-employment-income | ```json theme={null} { "orderData": [ { "caseOrderDataTypeId": "codt-employment", "serviceId": "9ac65633-b4c4-4062-875c-3556db9d2a08", "metadata": { "employer": "Example Organization", "position": "Nurse", "city": "Manchester", "state": "NH", "country": "US", "monthBegin": "December", "yearBegin": "2004", "current": false, "monthEnd": "December", "yearEnd": "2018", "contact": { "website": "www.example.com", "email": "hr@example.com", "phone": "800-555-0147" }, "okToContact": true } } ] } ``` **`metadata` properties:** `employer`, `position`, `city`, `state`, `country`, `monthBegin`, `yearBegin`, `current` (boolean), `monthEnd`, `yearEnd`, `contact.website`, `contact.email`, `contact.phone`, `okToContact` (boolean), `staffingAgency` (optional, max 100 characters). ### Motor vehicle record If a Motor Vehicle Report is being ordered, you must provide at least one MVR order data item. | Service | ID | | - | - | | Motor Vehicle Report | 9a1aa5db-1292-423e-a17c-4a7ab380de58 | ```json theme={null} { "orderData": [ { "caseOrderDataTypeId": "codt-mvr", "serviceId": "9a1aa5db-1292-423e-a17c-4a7ab380de58", "metadata": { "state": "NH", "licenseNumber": "NHL12345678", "firstNameIfDifferent": "", "middleInitialIfDifferent": "", "lastNameIfDifferent": "" } } ] } ``` ### Aliases Alias order data is never required. This data is optional if you're ordering one of the services that support aliases: | Service | ID | | - | - | | FACIS | 2c6bbd00-dce3-4ecd-ae91-b0f3dab268f7 | | Global Watchlist Search | c3080270-3e83-4eb2-a2a9-e5964645f8c5 | | National Criminal Search | d8e3dbdb-c2d7-4787-9736-86fffab74da4 | | Federal Criminal Search | ee774b82-a411-4e2b-a38f-c0641bd836e7 | | State Criminal Court Search | c407f6dd-523e-4627-a4d9-8f52d30ee744 | | State Criminal Database Search | d9381240-6230-40ec-9e11-35703e8041bc | | County Criminal Search | fa226cb7-1214-4cdf-9296-6120a7376926 | When providing alias order data, you must do the following: 1. Include a master list of aliases for the candidate — one `codt-alias` item for each alias. 2. Include one `codt-alias` item for each service that you want verified using the alias. `serviceId` must be specified for these items. ```json theme={null} { "orderData": [ { "caseOrderDataTypeId": "codt-alias", "metadata": { "givenName": "Bill", "middleName": "", "familyName": "Moore" } }, { "caseOrderDataTypeId": "codt-alias", "metadata": { "givenName": "Will", "middleName": "", "familyName": "Moore" } }, { "caseOrderDataTypeId": "codt-alias", "serviceId": "fa226cb7-1214-4cdf-9296-6120a7376926", "metadata": { "givenName": "Bill", "middleName": "", "familyName": "Moore" } }, { "caseOrderDataTypeId": "codt-alias", "serviceId": "fa226cb7-1214-4cdf-9296-6120a7376926", "metadata": { "givenName": "Will", "middleName": "", "familyName": "Moore" } } ] } ``` ### Jurisdictions Jurisdiction order data is never required. This data is optional if you're ordering one of the jurisdiction-based services: | Service | ID | | - | - | | County Criminal Search | fa226cb7-1214-4cdf-9296-6120a7376926 | | Federal Criminal Search | ee774b82-a411-4e2b-a38f-c0641bd836e7 | | State Criminal Database Search | d9381240-6230-40ec-9e11-35703e8041bc | | State Criminal Court Search | c407f6dd-523e-4627-a4d9-8f52d30ee744 | The results of an SSN Trace will inform which jurisdictions to be searched. As a result, the final list of jurisdictions might be larger than the list that is provided as order data. When providing jurisdiction order data, you must do the following: 1. Provide one or more addresses to derive the list of specific jurisdictions: ```json theme={null} { "orderData": [ { "caseOrderDataTypeId": "codt-address", "metadata": { "city": "Manchester", "state": "NH", "county": "Hillsborough", "autoProcessJurisdictions": false } } ] } ``` 2. If `autoProcessJurisdictions` is set to false (or omitted), specify the jurisdictions for each relevant search type: **County jurisdictions:** ```json theme={null} { "orderData": [ { "caseOrderDataTypeId": "codt-jurisdiction-county", "serviceId": "fa226cb7-1214-4cdf-9296-6120a7376926", "metadata": { "state": "NH", "county": "HILLSBOROUGH" } } ] } ``` **Federal district jurisdictions:** ```json theme={null} { "orderData": [ { "caseOrderDataTypeId": "codt-jurisdiction-fed-district", "serviceId": "ee774b82-a411-4e2b-a38f-c0641bd836e7", "metadata": { "district": "New Hampshire District Court" } } ] } ``` **State jurisdictions:** ```json theme={null} { "orderData": [ { "caseOrderDataTypeId": "codt-jurisdiction-state", "serviceId": "c407f6dd-523e-4627-a4d9-8f52d30ee744", "metadata": { "state": "NH" } } ] } ``` Use the `POST /jurisdiction/find/all` endpoint to help populate the specific jurisdiction order data. Setting `autoProcessJurisdictions` to true skips the need to specify individual jurisdiction items. ### Professional license and certification If a Professional License and Certification verification (CPLC) is being ordered, you must provide at least one CPLC order data item. | Service | ID | | - | - | | Professional License and Certification | service-cplc | To get the required fields for a specific license or certification: 1. Send a GET request to `GET /service/cplc/list` to retrieve all supported CPLCs and get the `cplcId`. 2. Send a GET request to `GET /service/cplc/id/{cplcId}` to retrieve the required fields for that `cplcId`. ```json theme={null} { "orderData": [ { "caseOrderDataTypeId": "codt-cplc", "serviceId": "service-cplc", "metadata": { "cplcId": "e9a5f173-a9cc-4dc7-91a0-25d5586b3d50", "fields": [ { "fieldId": "licenseNumber", "value": "LN123456" }, { "fieldId": "firstName", "value": "William" }, { "fieldId": "lastName", "value": "Moore" }, { "fieldId": "state", "value": "NH" } ] } } ] } ``` ### Shipments If a shipment service is being ordered, you must provide at least one shipment order data item regardless of PII flow. If you don't include the order data when creating a case, the service will be excluded from the case order. | Service | ID | | - | - | | Mask Shipment | service-mask-shipment | To get the masks available for shipment: 1. Send a GET request to `GET /shipment/mask/list` to retrieve a list of masks. 2. In the returned `list` array, get the `sku` for a specific mask. Only masks with `inStock` as true can be ordered. Attempting to order an out-of-stock mask results in a 422 response. ```json theme={null} { "orderData": [ { "caseOrderDataTypeId": "codt-shipment", "serviceId": "service-mask-shipment", "metadata": { "recipientName": "William Moore", "address1": "100 Main St", "address2": "Unit 2", "addressType": "home", "addressSource": "homeAddress", "city": "New York", "state": "NY", "postalCode": "10016", "shippingMethod": "2-3 Business Days", "maskType": "3M 8210" } } ] } ``` ### Drug reason for test If a DOT drug screening is being ordered, you can optionally provide a reason for test. If omitted, the default value of `pre-employment` is used. | Service category | ID | | - | - | | Occupational health screening | service-cat-ohs | | Service sub-category | ID | | - | - | | Drug test | service-subcat-drug | Supported `reasonForTest` values: | Value | Description | | - | - | | **`pre-employment`** | Pre-employment screening (default). | | **`followup`** | Follow-up screening. | | **`post-accident`** | Post-accident screening. | | **`return-to-duty`** | Return-to-duty screening. | ```json theme={null} { "orderData": [ { "caseOrderDataTypeId": "codt-drug-reason-for-test", "metadata": { "reasonForTest": "pre-employment" } } ] } ``` ### Drug testing authority If a DOT drug screening is being ordered, you can optionally provide the regulatory authority under which the test is being conducted. If omitted, the default value of `fmcsa` is used. | Service category | ID | | - | - | | Occupational health screening | service-cat-ohs | | Service sub-category | ID | | - | - | | Drug test | service-subcat-drug | Supported `testingAuthority` values: | Value | Description | | - | - | | **`fmcsa`** | Federal Motor Carrier Safety Administration (default). | | **`faa`** | Federal Aviation Administration. | | **`fra`** | Federal Railroad Administration. | | **`fta`** | Federal Transit Administration. | | **`phmsa`** | Pipeline and Hazardous Materials Safety Administration. | | **`uscg`** | United States Coast Guard. | ```json theme={null} { "orderData": [ { "caseOrderDataTypeId": "codt-drug-testing-authority", "metadata": { "testingAuthority": "fmcsa" } } ] } ``` ### Document Processing If document processing is being ordered, you must provide one `codt-idp` order data item per document to be processed. If you don't provide order data for a document, it will not be included in the processing order. If the order contains only the Document Processing service, no other order data is required — the package ID and the candidate's name and email in the request body are sufficient. | Service | ID | | - | - | | Document Processing | service-intelligent-document-process | **`metadata` properties:** | Property | Description | | - | - | | `documentTypeId` | Document type identifier. Always use `unclassified` for Document Processing. | | `fileName` | The file name as provided when uploading the document. | | `secureDocumentId` | The secure document ID returned after creating the secure document record. | ```json theme={null} { "orderData": [ { "caseOrderDataTypeId": "codt-idp", "serviceId": "service-intelligent-document-process", "metadata": { "documentTypeId": "unclassified", "fileName": "testfile1.pdf", "secureDocumentId": "e9a5f173-a9cc-4dc7-91a0-25d5586b3d50" } } ] } ``` See the [Document processing flow guide](/background-check-api/guides/document-processing-flow) for a full walkthrough of uploading documents and creating a document processing order. # Upload documents for a case Source: https://developer.karmacheck.com/background-check-api/guides/upload-documents How to securely upload candidate disclosure and authorization documents and associate them with a case. KarmaCheck supports the ability for providing candidate disclosure and authorization document records by way of a secure file upload. These uploaded files can be associated with a case, either an existing case or a case that you're going to create. This guide assumes that you already obtained API access to a group in KarmaCheck. The steps to securely upload, store, and make appropriate associations with a case are as follows: 1. Request a secure URL for each document to store. 2. Upload the files to KarmaCheck using the returned URLs from step 1. 3. Create the proper association for the successfully uploaded files in step 2. ## Step 1: Request document upload URLs To upload any documents and associate them with a case, you need to first generate a URL for each document. Replace `AUTHENTICATION_TOKEN` with your token and adjust the body values: * **`mimeType`:** The MIME type of the document you will upload. If you're uploading a non-PDF file, replace `application/pdf` with the correct MIME type. To retrieve a list of supported MIME types, send a GET request to `GET /document/secure/mimetypes`. * **`documentTypeId`:** The type of document you will upload. Candidate disclosures and authorizations are the only supported document type to associate with a case. If uploading more than one document, add an additional object containing `mimeType` and `documentTypeId` to the `files` array for each additional document. ```bash theme={null} curl --request POST \ --url https://api-stage.karmacheck.io/document/secure/upload \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer AUTHENTICATION_TOKEN' \ --data '{ "files": [ { "mimeType": "application/pdf", "documentTypeId": "candidate-disclosures-and-authorizations" } ] }' ``` A successful request returns the following: * **`url`:** A URL for each document that you'll upload in the next step. Note that each returned URL expires after 1 hour. * **`fileKey`:** A unique key for referencing your document in KarmaCheck. You'll need this key in Step 3. ## Step 2: Upload documents You can now upload your documents directly to KarmaCheck using the URLs provided in the response from Step 1: ```shell theme={null} curl --request PUT 'UPLOAD_URL' \ --header 'Content-Type: MIME_TYPE' \ --data 'PATH_TO_DOCUMENT' ``` Replace the following in your request: * **`UPLOAD_URL`:** The URL returned in step 1 * **`MIME_TYPE`:** The MIME type of the document you're uploading. This should match the MIME type you entered in Step 1. * **`PATH_TO_DOCUMENT`:** The path to the document you're uploading Note the following: * If you're uploading more than one document, make sure to keep track of which URL you're uploading each document to. * If you attempt to use an expired URL, the server responds with a 403 HTTP status code. If you have additional issues with uploading your documents, see [Troubleshooting](https://docs.aws.amazon.com/AmazonS3/latest/userguide/troubleshooting.html) in the Amazon S3 documentation. ## Step 3: Create secure document records Finally, create a secure document record for each document you just uploaded. If you don't complete this step, the documents uploaded in Step 2 are unavailable for use in KarmaCheck, as they are not associated with any case. Replace `AUTHENTICATION_TOKEN` with your token and adjust the body values: * **`fileKey`:** The key returned in Step 1. If uploading more than one document, enter the key that corresponds with the URL to which you uploaded the document. * **`documentTypeId`:** The type of document uploaded — `candidate-disclosures-and-authorizations` * **`originalFileName`:** The file name for the uploaded document, including the file extension. * **`caseId`:** The ID of an existing case to associate the document with. If the case hasn't been created yet, remove the `accessGrants` object from the request body. ```bash theme={null} curl --request POST \ --url https://api-stage.karmacheck.io/document/secure/create \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer AUTHENTICATION_TOKEN' \ --data '{ "list": [ { "fileKey": "1daa3c43-ea4e-4d66-9330-0cbd197feee6", "documentTypeId": "candidate-disclosures-and-authorizations", "originalFileName": "example_document.pdf" } ], "accessGrants": { "caseId": "22e88848-17d1-4946-bbac-18d44f381ca7" } }' ``` A successful request returns a `secureDocumentId` for each document. If the documents are to be associated with a new case, you can send the newly created secure document IDs from this API call to the call for creating a case. Doing this will associate these documents with the case and the candidate. # API basics Source: https://developer.karmacheck.com/background-check-api/overview/api/api-overview An overview of the KarmaCheck REST API structure, endpoints, and request headers. The KarmaCheck API is a background check service that follows REST conventions. The API provides resources and actions at specified HTTPS endpoints, uses standard HTTP methods and response codes, and accepts and returns JSON in requests and responses. You have multiple options for testing the KarmaCheck API: * Try out each endpoint in the interactive [API reference](/api-reference/authentication/authenticate-api-client) documentation. * Export the OpenAPI Specification file from the API reference documentation and import the file into an API client, such as Postman. All API requests must be made over HTTPS. Calls made over plain HTTP or without valid authentication will be refused. ## Endpoints A KarmaCheck endpoint consists of the following: * **The base URL:** The production API is hosted at `https://api.karmacheck.io`. For sandbox testing, the base URL is `https://api-stage.karmacheck.io`. * **A resource path:** The API is organized around resources (such as cases, packages, or secure documents) that you can retrieve, create, or update. When applicable, a specific resource is referenced by its unique identifier. ## Request headers HTTP request headers store authentication data and information about the request and response formats: * **Authentication:** Every API request must include a valid authentication token that authorizes access to a group's data. See [Authentication](/background-check-api/overview/api/authentication) for details on how to obtain an authentication token. * **Request format:** Requests that include body data are submitted in JSON format. This is specified by sending the header `Content-Type: application/json`. * **Response format:** Most responses are returned in JSON format. This is specified by sending the header `Accept: application/json`. The header `Accept: text/html` is used for endpoints that return data in plain text format, such as the URL of a report for download. # Authentication Source: https://developer.karmacheck.com/background-check-api/overview/api/authentication How to obtain and use a JWT to authenticate KarmaCheck API requests. All API requests must be authenticated with a token in the form of a [JSON Web Token](https://jwt.io/) (JWT). The KarmaCheck API uses a [Bearer authentication scheme](https://swagger.io/docs/specification/authentication/bearer-authentication/), which should be used only over HTTPS. ## Create an authentication token To create an authentication token, you need to first contact KarmaCheck to [enable API access](/background-check-api/overview/customer-integration#enable-api-access). KarmaCheck will issue you an API key and one or more client access tokens. Each client access token gives access to a specific group within a company in the KarmaCheck system. With the API key and a client access token, call the `POST /auth/api` endpoint to retrieve an authentication token: ```bash theme={null} curl --request POST \ --url https://api-stage.karmacheck.io/auth/api \ --header 'Content-Type: application/json' \ --data '{ "apiKey": "API_KEY", "clientAccessToken": "CLIENT_ACCESS_TOKEN" }' ``` Replace `API_KEY` and `CLIENT_ACCESS_TOKEN` with your credentials. The response will contain your authentication token in the `token` field. Note the following regarding KarmaCheck authentication tokens: * Authentication tokens do not expire. However, tokens can be invalidated in order to revoke access to other API calls. * Anyone with access to your authentication token can access your KarmaCheck data. Store these tokens as securely as possible and avoid placing them in shared codebases. ## Authenticate an API request For all requests to the KarmaCheck API, set the `Authorization` header with the value `Bearer AUTHENTICATION_TOKEN`, replacing `AUTHENTICATION_TOKEN` with the authentication token that you created. Do *not* attempt to pass the authentication token in the query string (in other words, the URL). ```bash theme={null} curl --request GET \ --url https://api-stage.karmacheck.io/case/list \ --header 'Accept: application/json' \ --header 'Authorization: Bearer AUTHENTICATION_TOKEN' ``` # Environments Source: https://developer.karmacheck.com/background-check-api/overview/api/environments Staging and production environments, test SSNs, and simulated services for the KarmaCheck API. The KarmaCheck API supports two environments: staging and production. You can use the staging environment as a sandbox to test all available KarmaCheck functionality without affecting your live data. To access a KarmaCheck environment, contact your KarmaCheck account manager to obtain your API credentials. ## URLs | Environment | API base URL | KarmaCheck dashboard URL | | - | - | - | | **Staging** | `https://api-stage.karmacheck.io` | `https://app-stage.karmacheck.com` | | **Production** | `https://api.karmacheck.io` | `https://app.karmacheck.com` | ## Testing considerations The KarmaCheck sandbox and production environments provide simulated data for testing your integrations and service flows. Note the following scenarios and limitations when testing in these environments. ### Sandbox limitations When testing in the sandbox, all email notifications to candidates, such as invitations for candidates to initiate onboarding, are blocked from being sent to external email addresses. Instead, these emails are directed to a shared internal email inbox. If you'd like to receive copies of these emails, contact us to set up email forwarding. ### Predefined SSNs KarmaCheck supports usage of the following Social Security numbers (SSNs) to return either clean or unfavorable service results on the candidate: * **111-22-3333:** Use this SSN for certain services to be returned as cleared. * **333-22-1111:** Use this SSN for certain services to be returned with results or records that require review. See the next section for a list of applicable services. ### Simulated services KarmaCheck simulates results for a number of services after completion of candidate onboarding or PII entry during case ordering. These simulations lead to a case data completion status (in other words, the service is clear or needs review) for each service. All KarmaCheck environments generate simulated results for the following services, listed by service category: #### Identity verification | Service | Status | Test data required | | - | - | - | | **SSN Trace** | `clear` | SSN: 111-22-3333 | | **International Identity Verification** | `acknowledge` | Any data | #### Criminal check | Service | Status | Test data required | | - | - | - | | **OIG Exclusions Search** | `clear` | Any data | | **National Criminal Search** | `clear` | SSN: 111-22-3333 | | **Global Watchlist Search** | `clear` | SSN: 111-22-3333 | | **Sex Offender Search** | `clear` | SSN: 111-22-3333 | | **International Criminal Record Check** | `clear` | Name: Andrew McLeod; Date of birth: March 4, 1987 | | **International Criminal Record Check** | `consider` | Name: Andrew McLeod; Date of birth: any date other than March 4, 1987 | | **Canadian Criminal Record Check** | `clear` | Any data, except the name Will Nettke | | **Canadian Criminal Record Check** | `consider` | Name: Will Nettke | #### Motor vehicle record check | Service | Status | Test data required | | - | - | - | | **Motor Vehicle Report** | `acknowledge` | SSN: 111-22-3333 | | **Canadian Motor Vehicle Record Check** | `clear` | Any data, except driver's licenses issued in British Columbia | | **Canadian Motor Vehicle Record Check** | `consider` | Driver's license issued in British Columbia | #### Occupational health screening | Service | Status | Test data required | | - | - | - | | **Any physical screening** (except Lab - CBC With Differential; Audiogram Annual/Baseline supports `acknowledge` only) | `acknowledge` | SSN: 111-22-3333 | | **Any physical screening** (except Lab - CBC With Differential; Audiogram Annual/Baseline supports `acknowledge` only) | `consider` | SSN: 333-22-1111 | | **Any drug screening** | `clear` | SSN: 111-22-3333 | | **Any drug screening** | `consider` | SSN: 333-22-1111 | | **Any TB test** | `acknowledge` | SSN: 111-22-3333 | | **Any TB test** | `consider` | SSN: 333-22-1111 | | **Any immunization** (except Hepatitis B Surface Antigen Titer; Hepatitis C Titer) | `acknowledge` | SSN: 111-22-3333 | | **Any immunization** (except Hepatitis B Surface Antigen Titer; Hepatitis C Titer) | `consider` | SSN: 333-22-1111 | | **Hepatitis C Titer** | `acknowledge` | SSN: 333-22-1111 | | **Hepatitis C Titer** | `consider` | SSN: 111-22-3333 | #### Professional license and certification | Service | Status | Test data required | | - | - | - | | **CNM (APRN) Verification** | `consider` | Any fictitious license | | **CNP (APRN) Verification** | `consider` | Any fictitious license | | **CNS (APRN) Verification** | `consider` | Any fictitious license | | **CRNA (APRN) Verification** | `consider` | Any fictitious license | | **PN Verification** | `consider` | Any fictitious license | | **RN Verification** | `consider` | Any fictitious license | All other screenings remain in a pending status. # Status codes and errors Source: https://developer.karmacheck.com/background-check-api/overview/api/errors HTTP status codes used by 
[...]
